package com.sky.ioc.controller.server;

import com.sky.ioc.service.server.ServerService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "服务管理")
@Slf4j
@RestController
@RequestMapping("/server")
public class ServerController {

    @Autowired
    private ServerService serverService;


    @ApiOperation("编辑指标")
    @PostMapping("/server_list")
    public ReturnMsg getServerList() {
        return serverService.getServerList();
    }
}
